바로가기 메뉴
본문내용 바로가기
메인메뉴 바로가기



Customer Center

Notice · Security Issue · Account Guide · Global Traffic Test

HOME > Customer Center > Security Issue

보안이슈

해시 테이블 구현 취약점 관련 보안 업데이트 권고
2016.02.18

□ 개요

o 해시 테이블 구현 오류로 인해 해당 기능을 사용하는 다양한 응용프로그램 및 서비스를
대상으로, 장애를 유발시킬 수 있는 취약점이 발견됨
o 공격자는 해당 취약점에 영향 받는 시스템에 특수하게 조작된 요청을 전송 할 경우,
서비스 거부 상태를 유발시킬 수 있음
□ 해당 시스템
o 영향 받는 시스템
- .NET Framework MS11-100 보안패치 이전 버전
- PHP 5.3.8, 5.4.0RC3 및 이전버전
- Apache Tomcat 5.534, 6.0.34, 7.0.22 및 이전버전
□ 해결방안
o 취약한 .NET Framework 버전 사용자
- 최신 윈도우 보안패치를 적용하여 MS11-100 업데이트 수행 [1]
o 취약한 PHP 버전 사용자
- PHP 5.3.9, 5.4.0RC4 및 이상버전으로 업데이트 수행 [2]
o 취약한 Apache Tomcat 버전 사용자
- Apache Tomcat 5.5.35, 6.0.35, 7.0.23 및 이상버전으로 업데이트 수행 [3]
□ 용어정리
o 해시 테이블
- 해싱 함수의 연산에 의해 구해진 위치에 각 레코드를 한 개 이상 보관할 수 있는
버킷(bucket)들로 구성된 기억 공간.
□ 기타 문의사항
o 보안권고에 포함되지 않은 응용프로그램 등에 대한 보안업데이트는 언제인가요?
- 해당 취약점과 관련된 중요 보안업데이트 발표 시 KrCERT/CC 홈페이지를 통해
신속히 공지할 예정입니다
o 한국인터넷진흥원 인터넷침해대응센터: 국번없이 118
출처 : KISA
이호스트데이터센터(http://www.ehostidc.co.kr)
첨부파일